// Package org_accordproject_ciceromark_0_6_0 contains domain objects and was generated from Concerto namespace org.accordproject.ciceromark@0.6.0.
package org_accordproject_ciceromark_0_6_0
import "org_accordproject_commonmark_0_5_0";
import "concerto_metamodel_1_0_0";
import "concerto_1_0_0";
   
type Element struct {
   org_accordproject_commonmark_0_5_0.Child
   Name string `json:"name"`
   ElementType string `json:"elementType"`
   Decorators []Decorator `json:"decorators"`
}
type Variable struct {
   Element
   Value string `json:"value"`
   IdentifiedBy string `json:"identifiedBy"`
}
type FormattedVariable struct {
   Variable
   Format string `json:"format"`
}
type EnumVariable struct {
   Variable
   EnumValues []string `json:"enumValues"`
}
type Formula struct {
   Element
   Value string `json:"value"`
   Dependencies []string `json:"dependencies"`
   Code string `json:"code"`
}
type Block struct {
   Element
}
type Clause struct {
   Block
   Src string `json:"src"`
}
type Contract struct {
   Block
   Src string `json:"src"`
}
type Conditional struct {
   Block
   IsTrue bool `json:"isTrue"`
   WhenTrue []Child `json:"whenTrue"`
   WhenFalse []Child `json:"whenFalse"`
}
type Optional struct {
   Block
   HasSome bool `json:"hasSome"`
   WhenSome []Child `json:"whenSome"`
   WhenNone []Child `json:"whenNone"`
}
type ListBlock struct {
   Block
   Type string `json:"type"`
   Tight string `json:"tight"`
   Start string `json:"start"`
   Delimiter string `json:"delimiter"`
}
